<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package transpi
 */

get_header();
$transpiPostClass = '';
if(is_active_sidebar('sidebar-1')){
	$transpiPostClass = 'col-lg-8';
}else{
	$transpiPostClass = 'col-lg-10 offset-lg-1';
}
?>
<section class="transpi__blog-wrapper">
	<div class="container">
		<div class="row">
			<!-- Content Side -->
			<div class="<?php echo esc_attr($transpiPostClass);?>">
				<?php transpi_post_loop();?>
			</div>
			<!-- Sidebar Side -->
			<?php get_sidebar();?>
		</div>
	</div>
</section>

<?php
get_footer();
