<?php 
if ( !function_exists( 'transpi_portfolio' ) ) {

// Register Portfolios
function transpi_portfolio() {

    $labels = array(
        'name'                  => esc_html_x( 'Portfolios', 'Post Type General Name', 'transpi-plugin' ),
        'singular_name'         => esc_html_x( 'Portfolios', 'Post Type Singular Name', 'transpi-plugin' ),
        'menu_name'             => esc_html__( 'Portfolios', 'transpi-plugin' ),
        'name_admin_bar'        => esc_html__( 'Portfolios', 'transpi-plugin' ),
        'archives'              => esc_html__( 'Item Archives', 'transpi-plugin' ),
        'attributes'            => esc_html__( 'Item Attributes', 'transpi-plugin' ),
        'parent_item_colon'     => esc_html__( 'Parent Item:', 'transpi-plugin' ),
        'all_items'             => esc_html__( 'All Portfolios', 'transpi-plugin' ),
        'add_new_item'          => esc_html__( 'Add New Portfolios', 'transpi-plugin' ),
        'add_new'               => esc_html__( 'Add New Portfolios', 'transpi-plugin' ),
        'new_item'              => esc_html__( 'New Portfolios', 'transpi-plugin' ),
        'edit_item'             => esc_html__( 'Edit Portfolios', 'transpi-plugin' ),
        'update_item'           => esc_html__( 'Update Portfolios', 'transpi-plugin' ),
        'view_item'             => esc_html__( 'View Portfolios', 'transpi-plugin' ),
        'view_items'            => esc_html__( 'View Portfolios', 'transpi-plugin' ),
        'search_items'          => esc_html__( 'Search Portfolios', 'transpi-plugin' ),
        'not_found'             => esc_html__( 'Not found', 'transpi-plugin' ),
        'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'transpi-plugin' ),
        'featured_image'        => esc_html__( 'Featured Image', 'transpi-plugin' ),
        'set_featured_image'    => esc_html__( 'Set featured image', 'transpi-plugin' ),
        'remove_featured_image' => esc_html__( 'Remove featured image', 'transpi-plugin' ),
        'use_featured_image'    => esc_html__( 'Use as featured image', 'transpi-plugin' ),
        'insert_into_item'      => esc_html__( 'Insert into item', 'transpi-plugin' ),
        'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'transpi-plugin' ),
        'items_list'            => esc_html__( 'Items list', 'transpi-plugin' ),
        'items_list_navigation' => esc_html__( 'Items list navigation', 'transpi-plugin' ),
        'filter_items_list'     => esc_html__( 'Filter items list', 'transpi-plugin' ),
    );
    $args = array(
        'label'               => esc_html__( 'Portfolios', 'transpi-plugin' ),
        'description'         => esc_html__( 'Add Portfolios Here', 'transpi-plugin' ),
        'labels'              => $labels,
        'supports'            => array( 'title', 'thumbnail', 'elementor' ),
        'hierarchical'        => false,
        'public'              => true,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'menu_position'       => 5,
        'menu_icon'           => 'dashicons-editor-table',
        'show_in_admin_bar'   => true,
        'show_in_nav_menus'   => true,
        'can_export'          => true,
        'has_archive'         => false,
        'exclude_from_search' => false,
        'publicly_queryable'  => true,
        'capability_type'     => 'page',
    );
    register_post_type( 'transpi_portfolio', $args );

}
add_action( 'init', 'transpi_portfolio', 0 );

}

/**
 * Project Custom Taxonomy
 */

 if ( !function_exists( 'transpi_portfolio_tax' ) ) {
    function transpi_portfolio_tax() {
        $labels = [
            'name'          => esc_html__( 'Categories', 'transpi-plugin' ),
            'menu_name'     => esc_html__( 'Categories', 'transpi-plugin' ),
            'singular_name' => esc_html__( 'Category', 'transpi-plugin' ),
            'search_items'  => esc_html__( 'Search Category', 'transpi-plugin' ),
            'all_items'     => esc_html__( 'All Category', 'transpi-plugin' ),
            'new_item_name' => esc_html__( 'New Category', 'transpi-plugin' ),
            'add_new_item'  => esc_html__( 'Add New Category', 'transpi-plugin' ),
            'edit_item'     => esc_html__( 'Edit New Category', 'transpi-plugin' ),
            'update_item'   => esc_html__( 'Update New Category', 'transpi-plugin' ),
        ];
        $args = array(
            'labels'                => $labels,
            'hierarchical'          => true,
            'show_ui'               => true,
            'show_admin_column'     => true,
            'query_var'             => true,
            'update_count_callback' => '_update_post_term_count',
            'rewrite'               => array( 'slug' => 'Portfolios-category' ),
        );
        register_taxonomy( 'portfolio_cat', 'transpi_portfolio', $args );
    }
    add_action( 'init', 'transpi_portfolio_tax' );
}