<?php
/**
 * Template part for displaying single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package transpi
 */
$categories = get_the_category();
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('single__post-main-content'); ?>>
    <div class="entry-content">
        <?php
            the_content(
                sprintf(
                    wp_kses(
                        /* translators: %s: Name of current post. Only visible to screen readers */
                        __( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'transpi' ),
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    wp_kses_post( get_the_title() )
                )
            );

            wp_link_pages(
                array(
                    'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'transpi' ),
                    'after'  => '</div>',
                )
            );
        ?>
    </div>
    <div class="transpi__post-footer">
        <?php if(function_exists('transpi_post_share')):?>
        <div class="transpi__post-share">
            <?php transpi_post_share();?>
        </div>
        <?php endif;?>
        <div class="transpi__post-meta">
            <?php transpi_entry_footer();?>
        </div>
    </div>
</article><!-- #post-<?php the_ID(); ?> -->
<?php 
if ( comments_open() || get_comments_number() ) :
    comments_template();
endif;

?>
